/*
 * Parser & Scanner Common Definitions
 */
#ifndef LEXTYPES_H
#define LEXTYPES_H

#include <string>
#include "lextypes.h"

/* The type of values associated with terminals and nonterminals */
typedef struct {
    std::string name;
    double number;
} yys;
#define YYSTYPE yys

extern yys yylval;

int yylex();              /* Prototype of the scanner function "next lexeme" */
int yyerror(const char*); /* Prototype of the error diagnostics function     */

void setInputBuffer(const char *txt);
void releaseInputBuffer();

#endif
